Get Sessions History
curl --request GET \
--url https://api.anchorbrowser.io/v1/sessions/history \
--header 'anchor-api-key: <api-key>'import requests
url = "https://api.anchorbrowser.io/v1/sessions/history"
headers = {"anchor-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'anchor-api-key': '<api-key>'}};
fetch('https://api.anchorbrowser.io/v1/sessions/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"date": "<string>",
"session_count": 123,
"proxy_bytes": 123,
"ai_steps": 123,
"session_hours": 123,
"credits_used": 123,
"screenshots": 123,
"network_bytes_total": 123
}
],
"summary": {
"total_sessions": 123,
"total_proxy_bytes": 123,
"total_ai_steps": 123,
"total_session_hours": 123,
"total_credits_used": 123,
"total_screenshots": 123,
"total_network_bytes_total": 123
},
"pagination": {
"current_page": 123,
"total_pages": 123,
"total_records": 123,
"has_next": true,
"has_prev": true
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}Browser Sessions
Get Sessions History
Retrieves session usage analytics for the authenticated team.
GET
/
v1
/
sessions
/
history
Get Sessions History
Authorizations
API key passed in the header
Query Parameters
Start date for filtering (ISO 8601 format).
End date for filtering (ISO 8601 format).
Time granularity for aggregation.
Available options:
hour, day, week, month Metrics to include in the response.
Page number for pagination.
Required range:
x >= 1Number of records per page.
Required range:
1 <= x <= 1000Was this page helpful?
⌘I

